# This spec file is based on texjive project created by Michael A. Peters.
# Adopted and modified for CCux Linux by Christian Metzen.

Distribution: 	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		texlive-texmf-errata
Version:	2007
Release:	2
Summary:	Errata for texlive-texmf
Group:		Publishing
License:	Artistic 2.0 and GPLv2 and GPLv2+ and LGPLv2+ and LPPL and MIT and Public Domain and UCD and Utopia
URL:		http://tug.org/texlive/
Source999:	texlive-errata-readme
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Obsoletes:	texjive-texmf-errata
Obsoletes:	texjive-texmf-errata-common

%description
This package is where errata to the texlive-texmf package will appear, when
needed.

%package	afm
Group:		%{group}
Summary:	Errata for texlive-texmf-afm
Obsoletes:	texjive-texmf-errata-afm

%description	afm
This package is where errata to the texlive-texmf-afm package will appear,
when needed.

%package	dvips
Group:		%{group}
Summary:	Errata for texlive-texmf-dvips
Obsoletes:	texjive-texmf-errata-dvips

%description	dvips
This package is where bug fixes to the texlive-texmf-dvips package will appear,
when needed.

%package	fonts
Group:		%{group}
Summary:	Bug fixes for texlive-texmf-fonts
Obsoletes:	texjive-texmf-errata-fonts

%description	fonts
This package is where bug fixes to the texlive-texmf-fonts package will appear,
when needed.

%package	latex
Group:		%{group}
Summary:	Errata for texlive-texmf-latex
Obsoletes:	texjive-texmf-errata-latex

%description	latex
This package is where errata to the texlive-texmf-latex package will appear,
when needed.

%package	doc
Group:		%{group}
Summary:	Errata for texlive-doc
Obsoletes:	texlive-doc-errata < 2007-1
Provides:	texlive-doc-errata = %{version}-%{release}
Obsoletes:	texjive-doc-errata < 2007-1
Provides:	texjive-doc-errata = %{version}-%{release}


%description	doc
This package includes errata to the texlive documentation.

%package	east-asian
Group:		%{group}
Summary:	Errata for texlive-texmf-east-asian
Obsoletes:	texlive-texmf-errata-japanese < 2007-3
Provides:	texlive-texmf-errata-japanese = %{version}-%{release}

%description	east-asian
This package is where errata to the texlive-texmf-east-asian package will appear,
when needed.

%package	context
Group:		%{group}
Summary:	Errata for texlive-texmf-context

%description	context
This package is where errata to the texlive-texmf-context package will appear,
when needed.

%package	xetex
Group:		%{group}
Summary:	Errata for texlive-texmf-xetex

%description	xetex
This package is where errata to the texlive-texmf-xetex package will appear,
when needed.

%prep


%build


%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}%{_datadir}/texmf-errata/doc/texlive
install -d -m755 %{buildroot}%{_datadir}/texmf-errata/dvips
install -d -m755 %{buildroot}%{_datadir}/texmf-errata/fonts/afm
install -d -m755 %{buildroot}%{_datadir}/texmf-errata/tex/latex
install -d -m755 %{buildroot}%{_datadir}/texmf-errata/ptex
install -d -m755 %{buildroot}%{_datadir}/texmf-errata/jbibtex
install -m644 %{SOURCE999} %{buildroot}%{_datadir}/texmf-errata/doc/texlive/README
touch %{buildroot}%{_datadir}/texmf-errata/ls-R


%clean
rm -rf %{buildroot}

# turn these off until there is a need for them
#%%%post
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%post afm
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%post common
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%post dvips
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%post fonts
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%post latex
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%post -n texlive-doc-errata
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%postun
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%postun afm
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%postun common
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%postun dvips
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%postun fonts
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%postun latex
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :

#%%%postun -n texlive-doc-errata
#%%#[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :


%files
%defattr(-,root,root,-)
%dir %{_datadir}/texmf-errata
%dir %{_datadir}/texmf-errata/tex

%files afm
%defattr(-,root,root,-)
%dir %{_datadir}/texmf-errata/fonts/afm

%files dvips
%defattr(-,root,root,-)
%dir %{_datadir}/texmf-errata/dvips

%files fonts
%defattr(-,root,root,-)
%dir %{_datadir}/texmf-errata/fonts
%ghost %{_datadir}/texmf-errata/ls-R

%files latex
%defattr(-,root,root,-)
%dir %{_datadir}/texmf-errata/tex/latex

%files doc
%defattr(-,root,root,-)
%doc %{_datadir}/texmf-errata/doc/

%files east-asian
%defattr(-,root,root,-)
%doc %{_datadir}/texmf-errata/ptex/
%doc %{_datadir}/texmf-errata/jbibtex/

%files context
%defattr(-,root,root,-)

%files xetex
%defattr(-,root,root,-)

%changelog
* Wed May 14 2008 Christian Wasem <wasem@ccux-linux.de> 2007-2
- moved subpackage group to Publishing
* Wed May 14 2008 Christian Metzen <metzench@ccux-linux.de> 2007-1
- Initial release
- Obsoletes texjive-texmf-errata
